#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define with_otr 1
%define jingle 0

Name:           kopete
Epoch:          4
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        KDE Internet Messenger
Group:          Networking/Instant messaging
License:        GPLv2 LGPLv2 GFDL
URL:            https://kde.org/applications/internet/org.kde.kopete
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches
# https://bugs.kde.org/show_bug.cgi?id=368340
Patch0:         kopete-16.08.3-fix-build-with-mediastreamer-2.14+.patch

Patch1:         kopete-20.04.0-fix-build-with-mediastreamer-4.3+.patch

## upstreamable patches
Patch100:       kopete-17.08.3-openssl-1.1.patch

## mageia patches

## Other patches
# https://bugs.kde.org/show_bug.cgi?id=399678
Patch501:	kopete-srtp2.patch

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Emoticons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5DNSSD)

BuildRequires:  cmake(KPim5IdentityManagement) >= 5.23.1
BuildRequires:  cmake(KPim5Libkleo)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  boost-devel
BuildRequires:  giflib-devel
BuildRequires:  cmake(Gpgmepp)
BuildRequires:  cmake(Phonon4Qt5)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libgadu)
BuildRequires:  pkgconfig(meanwhile)
BuildRequires:  pkgconfig(ortp)
%if %with_otr
# Comment out the build with libotr due to libotr updated to 5.0 see kde #306276
BuildRequires:  pkgconfig(libotr) >= 4.0.0
%endif
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(mediastreamer)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(libsrtp2)
BuildRequires:  pkgconfig(zlib)

Requires:       akonadi
Requires:       qca-qt5
Requires:       jasper
Recommends:     kopete-handbook

Obsoletes:      kopete-latex < 4:17.08.0-4

%description
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface for all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
new protocols.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a plugin
off of.

%files -f %{name}.lang
%{_kf5_sysconfdir}/xdg/kopeterc
%{_kf5_categoriesdir}/kopete.categories
%{_kf5_datadir}/kconf_update/kopete-*
%if %jingle
%{_kf5_bindir}/libjingle-call
%endif
%{_kf5_bindir}/kopete
%{_kf5_bindir}/winpopup-install
%{_kf5_bindir}/winpopup-send
%{_qt5_plugindir}/kcm_kopete_*
%{_qt5_plugindir}/kopete_*
%{_kf5_libdir}/libqgroupwise.so
%{_qt5_plugindir}/chattexteditpart.so
%{_qt5_plugindir}/accessible/chatwindowaccessiblewidgetfactory.so
%{_kf5_applicationsdir}/org.kde.kopete.desktop
%{_kf5_datadir}/config.kcfg/historyconfig.kcfg
%{_kf5_datadir}/config.kcfg/kopeteappearancesettings.kcfg
%{_kf5_datadir}/config.kcfg/kopetebehaviorsettings.kcfg
%{_kf5_datadir}/config.kcfg/urlpicpreview.kcfg
%{_kf5_datadir}/config.kcfg/webpresenceconfig.kcfg
%{_kf5_datadir}/config.kcfg/kopetestatussettings.kcfg
%if %with_otr
%{_kf5_datadir}/config.kcfg/kopete_otr.kcfg
%{_kf5_datadir}/kxmlgui5/kopete_otr/
%endif
%{_kf5_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kopete.Client.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kopete.Statistics.xml
%{_kf5_services}/aim.protocol
%{_kf5_services}/chatwindow.desktop
%{_kf5_services}/emailwindow.desktop
%{_kf5_services}/kconfiguredialog/kopete_*
%{_kf5_services}/kopete_*
%{_kf5_services}/xmpp.protocol
%{_kf5_servicetypes}/kopete*.desktop
%{_kf5_datadir}/sounds/Kopete_Event.ogg
%{_kf5_datadir}/sounds/Kopete_Received.ogg
%{_kf5_datadir}/sounds/Kopete_Sent.ogg
%{_kf5_datadir}/sounds/Kopete_User_is_Online.ogg
%{_kf5_datadir}/kxmlgui5/kopete/
%{_kf5_datadir}/kxmlgui5/kopete_groupwise/
%{_kf5_datadir}/kopete/
%{_kf5_datadir}/kopete_history/
%{_kf5_iconsdir}/hicolor/*/*/*.png
%{_kf5_iconsdir}/hicolor/*/*/*.svg*
%{_kf5_iconsdir}/oxygen/*/*/*.png
%{_kf5_iconsdir}/oxygen/*/*/*.svg*
%{_kf5_metainfodir}/org.kde.kopete.appdata.xml
%{_kf5_knotificationsdir}/kopete.notifyrc

#------------------------------------------------------------------------------

%package -n     kopete-handbook
Summary:        Kopete Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kopete >= %{epoch}:%{version}-%{release}
Conflicts:      kopete < 4:18.12.3-3

%description -n kopete-handbook
This package provides kopete handbook.

%files -n kopete-handbook
%doc %{_kf5_docdir}/HTML/*/kopete/

#------------------------------------------------------------------------------

%define major_kopetecontactlist 1
%define libkopetecontactlist %mklibname kopetecontactlist %{major_kopetecontactlist}

%package -n     %libkopetecontactlist
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopetecontactlist
Runtime library for Kopete.

%files -n %libkopetecontactlist
%{_kf5_libdir}/libkopetecontactlist.so.%{major_kopetecontactlist}{,.*}

#------------------------------------------------------------------------------

%define major_kopete_videodevice 1
%define libkopete_videodevice %mklibname kopete_videodevice %{major_kopete_videodevice}

%package -n     %libkopete_videodevice
Summary:        Runtime Library for Kopete
Group:          System/Libraries

%description -n %libkopete_videodevice
Runtime Library for Kopete providing video support.

%files -n %libkopete_videodevice
%{_kf5_libdir}/libkopete_videodevice.so.%{major_kopete_videodevice}{,.*}

#------------------------------------------------------------------------------

%define major_kopeteaddaccountwizard 1
%define libkopeteaddaccountwizard %mklibname kopeteaddaccountwizard %{major_kopeteaddaccountwizard}

%package -n     %libkopeteaddaccountwizard
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopeteaddaccountwizard
Runtime library for Kopete.

%files -n %libkopeteaddaccountwizard
%{_kf5_libdir}/libkopeteaddaccountwizard.so.%{major_kopeteaddaccountwizard}{,.*}

#------------------------------------------------------------------------------

%define major_kopete 1
%define libkopete %mklibname kopete %{major_kopete}

%package -n     %libkopete
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopete
Runtime library for Kopete.

%files -n %libkopete
%{_kf5_libdir}/libkopete.so.%{major_kopete}{,.*}

#------------------------------------------------------------------------------

%define major_kopeteprivacy 1
%define libkopeteprivacy %mklibname kopeteprivacy %{major_kopeteprivacy}

%package -n     %libkopeteprivacy
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopeteprivacy
Runtime library for Kopete.

%files -n %libkopeteprivacy
%{_kf5_libdir}/libkopeteprivacy.so.%{major_kopeteprivacy}{,.*}

#------------------------------------------------------------------------------

%define major_kopetechatwindow_shared 1
%define libkopetechatwindow_shared %mklibname kopetechatwindow_shared %{major_kopetechatwindow_shared}

%package -n     %libkopetechatwindow_shared
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopetechatwindow_shared
Runtime library for Kopete.

%files -n %libkopetechatwindow_shared
%{_kf5_libdir}/libkopetechatwindow_shared.so.%{major_kopetechatwindow_shared}{,.*}

#------------------------------------------------------------------------------

%if %with_otr
%define major_kopete_otr_shared 1
%define libkopete_otr_shared %mklibname kopete_otr_shared %{major_kopete_otr_shared}

%package -n     %libkopete_otr_shared
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopete_otr_shared
Runtime library for Kopete.

%files -n %libkopete_otr_shared
%{_kf5_libdir}/libkopete_otr_shared.so.%{major_kopete_otr_shared}{,.*}
%endif

#------------------------------------------------------------------------------

%define major_kopetestatusmenu 1
%define libkopetestatusmenu %mklibname kopetestatusmenu %{major_kopetestatusmenu}

%package -n     %libkopetestatusmenu
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopetestatusmenu
Runtime library for Kopete.

%files -n %libkopetestatusmenu
%{_kf5_libdir}/libkopetestatusmenu.so.%{major_kopetestatusmenu}{,.*}

#------------------------------------------------------------------------------

%define major_kopete_oscar 1
%define libkopete_oscar %mklibname kopete_oscar %{major_kopete_oscar}

%package -n     %libkopete_oscar
Summary:        KDE Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopete_oscar
KDE Runtime library for Kopete providing support for the OSCAR (Open System for
Communication in Realtime) protocol.

%files -n %libkopete_oscar
%{_kf5_libdir}/libkopete_oscar.so.%{major_kopete_oscar}{,.*}

#------------------------------------------------------------------------------

%define major_liboscar 1
%define liboscar %mklibname oscar %{major_liboscar}

%package -n     %liboscar
Summary:        Runtime library providing OSCAR protocol support
Group:          System/Libraries

%description -n %liboscar
Runtime library providing support for the OSCAR (Open System for Communication
in Realtime) protocol.

%files -n %liboscar
%{_kf5_libdir}/liboscar.so.%{major_liboscar}{,.*}

#------------------------------------------------------------------------------

%define major_kopeteidentity 1
%define libkopeteidentity %mklibname kopeteidentity %{major_kopeteidentity}

%package -n     %libkopeteidentity
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopeteidentity
Runtime library for Kopete.

%files -n %libkopeteidentity
%{_kf5_libdir}/libkopeteidentity.so.%{major_kopeteidentity}{,.*}

#------------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkopetecontactlist = %{epoch}:%{version}
Requires:       %libkopete_videodevice = %{epoch}:%{version}
Requires:       %libkopeteaddaccountwizard = %{epoch}:%{version}
Requires:       %libkopete = %{epoch}:%{version}
Requires:       %libkopeteprivacy = %{epoch}:%{version}
Requires:       %libkopetechatwindow_shared = %{epoch}:%{version}
Requires:       %libkopete_oscar = %{epoch}:%{version}
Requires:       %liboscar = %{epoch}:%{version}
%if %with_otr
Requires:       %libkopete_otr_shared = %{epoch}:%{version}
%endif
Requires:       %libkopeteidentity = %{epoch}:%{version}
Requires:       %libkopetestatusmenu = %{epoch}:%{version}
Obsoletes:      kopete-devel < 4:17.08.0-4
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_kf5_libdir}/*.so
%exclude %{_kf5_libdir}/libqgroupwise.so
%{_includedir}/kopete/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -pthread"

%cmake_kf5 -Wno-dev -DWITH_libjingle:BOOL=OFF -DWITH_wlm:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 4:23.04.3-1.mga9
+ Revision: 1982517
- New version 23.04.3

* Sun May 28 2023 neoclust <neoclust> 4:23.04.1-1.mga9
+ Revision: 1959406
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 4:22.12.3-1.mga9
+ Revision: 1946537
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 4:22.12.2-1.mga9
+ Revision: 1941830
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 4:22.12.0-1.mga9
+ Revision: 1922951
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 4:22.11.90-1.mga9
+ Revision: 1911445
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 4:22.08.3-1.mga9
+ Revision: 1905297
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 4:22.08.1-1.mga9
+ Revision: 1886816
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 4:22.08.0-1.mga9
+ Revision: 1882589
- Disable jingle and oscar support, does not build
- New version 22.08.0
- New version 22.04.3
- New version 22.04.0
- New version 22.03.90
- New version 21.12.0
- New version 21.11.90
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Sat May 15 2021 neoclust <neoclust> 4:21.04.1-1.mga9
+ Revision: 1724104
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 4:21.04.0-1.mga9
+ Revision: 1718389
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 4:20.12.3-2.mga9
+ Revision: 1698592
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 4:20.12.2-1.mga9
+ Revision: 1694118
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 4:20.12.0-1.mga8
+ Revision: 1655648
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 4:20.08.3-1.mga8
+ Revision: 1644033
- New version 20.08.3

* Sun Oct 25 2020 wally <wally> 4:20.08.2-2.mga8
+ Revision: 1639379
- rebuild with new libsrtp2
- drop unneeded libmsn BR

* Mon Oct 12 2020 neoclust <neoclust> 4:20.08.2-1.mga8
+ Revision: 1633849
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 4:20.08.1-1.mga8
+ Revision: 1627092
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 4:20.08.0-1.mga8
+ Revision: 1614960
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 4:20.04.3-1.mga8
+ Revision: 1604156
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 4:20.04.2-1.mga8
+ Revision: 1596894
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 4:20.04.1-1.mga8
+ Revision: 1585045
- New version 20.04.1

* Mon Apr 20 2020 neoclust <neoclust> 4:20.04.0-1.mga8
+ Revision: 1570085
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 4:19.12.3-1.mga8
+ Revision: 1559359
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 4:19.12.2-2.mga8
+ Revision: 1540220
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 4:19.12.2-1.mga8
+ Revision: 1513329
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 4:19.12.0-1.mga8
+ Revision: 1466987
- New version 19.12.0
- New version 19.11.90

* Thu Nov 28 2019 daviddavid <daviddavid> 4:19.08.3-2.mga8
+ Revision: 1463262
- attempt to fix segfaults in libjingle (mga#25772)

* Tue Nov 05 2019 neoclust <neoclust> 4:19.08.3-1.mga8
+ Revision: 1457935
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 4:19.08.1-1.mga8
+ Revision: 1446908
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 4:19.04.3-1.mga8
+ Revision: 1425027
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 4:19.04.0-1.mga7
+ Revision: 1390482
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 4:19.03.90-1.mga7
+ Revision: 1387689
- New version 19.03.90

* Fri Apr 05 2019 daviddavid <daviddavid> 4:18.12.3-3.mga7
+ Revision: 1386113
- fix conflicting html doc files

* Sun Mar 31 2019 umeabot <umeabot> 4:18.12.3-2.mga7
+ Revision: 1382758
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 4:18.12.3-1.mga7
+ Revision: 1375665
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 4:18.12.2-1.mga7
+ Revision: 1365605
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 4:18.12.1-1.mga7
+ Revision: 1356540
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 4:18.12.0-1.mga7
+ Revision: 1339547
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 4:18.08.3-1.mga7
+ Revision: 1332777
- New version 18.08.3

* Sun Nov 18 2018 neoclust <neoclust> 4:18.08.2-1.mga7
+ Revision: 1331002
- New version 18.08.2

* Wed Sep 26 2018 daviddavid <daviddavid> 4:18.04.1-2.mga7
+ Revision: 1306649
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 daviddavid <daviddavid> 4:18.04.1-1.mga7
+ Revision: 1242630
- New version 18.04.1
- port to Qt5/Kf5
- fix devel pkg name

* Sat Jan 13 2018 wally <wally> 4:17.08.0-3.mga7
+ Revision: 1192694
- rebuild for new mediastreamer and ortp

* Wed Nov 22 2017 tv <tv> 4:17.08.0-2.mga7
+ Revision: 1178688
- rebuild for new openssl

* Sun Oct 22 2017 neoclust <neoclust> 4:17.08.0-1.mga7
+ Revision: 1173088
- New version 17.08.0
- New version 17.07.90

* Sun Jul 16 2017 neoclust <neoclust> 4:17.04.3-1.mga7
+ Revision: 1123778
- New version 17.04.3

* Fri Mar 10 2017 akien <akien> 4:16.12.3-2.mga6
+ Revision: 1091611
- Rebuild for v4l-utils 1.12.3

* Wed Mar 08 2017 neoclust <neoclust> 4:16.12.3-1.mga6
+ Revision: 1090110
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 4:16.12.0-1.mga6
+ Revision: 1076854
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 4:16.11.90-1.mga6
+ Revision: 1072047
- New version 16.11.90

* Fri Dec 02 2016 daviddavid <daviddavid> 4:16.08.3-2.mga6
+ Revision: 1071788
- add an upstream patch to fix build against mediastreamer 2.14+
+ tmb <tmb>
- rebuild for new ortp

* Tue Nov 15 2016 neoclust <neoclust> 4:16.08.3-1.mga6
+ Revision: 1067365
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 4:16.08.2-1.mga6
+ Revision: 1061428
- New version 16.08.2

* Sun Oct 09 2016 neoclust <neoclust> 4:16.08.1-2.mga6
+ Revision: 1059722
- Rebuild for armv5

* Thu Sep 08 2016 neoclust <neoclust> 4:16.08.1-1.mga6
+ Revision: 1050691
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 4:16.08.0-1.mga6
+ Revision: 1047335
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 4:16.04.3-1.mga6
+ Revision: 1040092
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 4:16.04.1-2.mga6
+ Revision: 1012997
- Rebuild post boostrap
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 4:16.04.0-1.mga6
+ Revision: 1004371
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 4:16.03.80-1.mga6
+ Revision: 994938
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 4:15.12.3-1.mga6
+ Revision: 991214
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 4:15.12.2-1.mga6
+ Revision: 987484
- New version 15.12.2

* Wed Mar 02 2016 umeabot <umeabot> 4:15.12.1-2.mga6
+ Revision: 983548
- Rebuild for openssl

* Wed Jan 13 2016 neoclust <neoclust> 4:15.12.1-1.mga6
+ Revision: 922652
- New version 15.12.1

* Thu Jan 07 2016 luigiwalser <luigiwalser> 4:15.12.0-2.mga6
+ Revision: 920400
- rebuild for giflib

* Mon Jan 04 2016 pterjan <pterjan> 4:15.12.0-1.mga6
+ Revision: 919518
- Update libsrtp BuildRequires
+ neoclust <neoclust>
- New version 15.12.0
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859179
- Update to KDE Applications 15.08 Beta

* Fri May 01 2015 luigiwalser <luigiwalser> 3:4.14.3-3.mga5
+ Revision: 820981
- add upstream patch to fix build with new libmediastreamer (bko#345162)
- fix linphone-related BRs (should be ortp and mediastreamer)

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800628
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787723
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 741174
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734576
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681175
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667513
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 663025
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656703
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653889
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2
- enable build with otr

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651995
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636763
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625530
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615607
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609423
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606864
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603371
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600706
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Wed Feb 19 2014 lmenut <lmenut> 3:4.12.2-1.mga5
+ Revision: 594884
- Fix file list
+ neoclust <neoclust>
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 589276
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555023
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551295
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540469
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490848
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488643
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476921
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465317
- Update tarball to KDE SC 4.11.0

* Mon Jul 29 2013 fwang <fwang> 3:4.10.97-2.mga4
+ Revision: 460506
- add gtalk-call binary
- bump req for updated struct in srtp
- add patch from kde bug tracker to build with recent mediastreamer
- rebuild for updated jsoncpp

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458941
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455327
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Fix files list

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 448035
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kopete
+ lmenut <lmenut>
- Add missing conflicts

